Last Comment Bug 1308351 - Know your rights snippet link may be broken
: Know your rights snippet link may be broken
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
-- normal (vote)
: Firefox 52
Assigned To: :Gijs
:
:
Mentors:
: 1280649 (view as bug list)
Depends on: 1308608
Blocks: CVE-2016-5268
  Show dependency treegraph
 
Reported: 2016-10-06 16:42 PDT by Jean Collings
Modified: 2016-11-25 07:50 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [good first verify]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified
verified
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Screen Shot 2016-10-06 at 4.39.22 PM.png (16.96 KB, image/png)
2016-10-06 16:42 PDT, Jean Collings
no flags Details
Bug 1308351 - make about:rights web-linkable like about:license and friends, (58 bytes, text/x-review-board-request)
2016-10-07 03:31 PDT, :Gijs
mdeboer: review+
rkothari: approval‑mozilla‑aurora+
rkothari: approval‑mozilla‑beta+
lhenry: approval‑mozilla‑release+
Details | Review

Description User image Jean Collings 2016-10-06 16:42:43 PDT
Created attachment 8798672 [details]
Screen Shot 2016-10-06 at 4.39.22 PM.png

Hi all,
I'm getting flagged by someone that the first run snippet "Mozilla Firefox is free and open source software from the non-profit Mozilla Foundation. Know your rights...." link is broken. This is the first snippet a user sees after a fresh download.

If someone can investigate the link and put in here where it actually should go to? 


Thanks,
Jean
Comment 1 User image Justin Dolske [:Dolske] 2016-10-06 17:18:44 PDT
This is the default snippet that's included in Firefox (it's not pulled from a server, unlike the others).

The code here sets the link to go to "about:rights"... http://searchfox.org/mozilla-central/rev/76609a05d6ef7ba4223ed79e479c73fb2543a107/browser/base/content/abouthome/aboutHome.js#317-322

Testing in Firefox 49 (current Release), I see that about:rights itself is fine, but clicking the link the snippet results in a console error: "Security Error: Content at about:home may not load or link to about:rights.".

Gijs, is this more fallout from bug 1277583? (Or one of the ones like that?)
Comment 2 User image :Gijs 2016-10-07 02:28:57 PDT
The good news is I know why this is and there's a pretty safe 1-liner we can use to make it work on release/beta.

The bad news is we've been shipping this as part of 48 as well as 49...
Comment 3 User image :Gijs 2016-10-07 03:31:10 PDT Comment hidden (mozreview-request)
Comment 4 User image Mike de Boer [:mikedeboer] 2016-10-07 04:00:09 PDT
Comment on attachment 8798810 [details]
Bug 1308351 - make about:rights web-linkable like about:license and friends,

https://reviewboard.mozilla.org/r/84210/#review82782

LGTM. Let's get this in asap!
Comment 5 User image Pulsebot 2016-10-07 04:05:19 PDT
Pushed by gijskruitbosch@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/b8671328337d
make about:rights web-linkable like about:license and friends, r=mikedeboer
Comment 6 User image :Gijs 2016-10-07 04:09:00 PDT
Comment on attachment 8798810 [details]
Bug 1308351 - make about:rights web-linkable like about:license and friends,

Approval Request Comment
[Feature/regressing bug #]: bug 1253673
[User impact if declined]: the first snippet people see on about:home has a broken link
[Describe test coverage new/current, TreeHerder]: noooope. I'll work on tests for Nightly, but if there had been tests this wouldn't have happened...

[Risks and why]: none.
bug 1253673 broke linking to about: URIs by default. We then unbroke a bunch of the links that automation hadn't caught, but I didn't think there were in-product links to about:rights, which is how this got missed. This bug specifically changes about:rights to be linkable again (in a sense it's basically reverting the change that bug 1253673 made, but specifically for about:rights).

I'm asking for release uplift because our initial behaviour is pretty important. On the other hand, we have now shipped this in 48 and 49 and this is the first time we heard anything. I would argue it doesn't need a point-release on its own, but if we're doing another one it would be a very safe ride-along.

[String/UUID change made/needed]: nope.
Comment 7 User image :Gijs 2016-10-07 12:30:40 PDT
The more I think about this, the more I think the long-term fix is just gritting teeth and fixing bug 1228118, which is gonna be annoying but possible now that some of the storage stuff should (tm) be less painful (see bug 1228118 comment 1).

After that, about:home should be able to link to about:rights even without about:rights being world-linkable.
Comment 8 User image :Gijs 2016-10-07 12:31:22 PDT
Given that there's a separate bug on file for de-nesting about:, let's just let this close when the 'short' fix lands.

I'll file a separate followup to write a test for this particular case.
Comment 9 User image Phil Ringnalda (:philor) 2016-10-08 16:51:46 PDT
https://hg.mozilla.org/mozilla-central/rev/b8671328337d
Comment 10 User image Ritu Kothari (:ritu) 2016-10-10 12:41:28 PDT
Hello Jean, could you please verify this issue is fixed as expected on a latest Nightly build? Thanks!
Comment 11 User image Ritu Kothari (:ritu) 2016-10-10 12:42:14 PDT
Comment on attachment 8798810 [details]
Bug 1308351 - make about:rights web-linkable like about:license and friends,

Fixing a pretty visible broken link on first run, Aurora51+, Beta50+
Comment 13 User image Wes Kocher (:KWierso) 2016-10-10 14:15:45 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/0c41036b9e63
Comment 14 User image Jean Collings 2016-10-10 14:49:11 PDT
(In reply to Ritu Kothari (:ritu) from comment #10)
> Hello Jean, could you please verify this issue is fixed as expected on a
> latest Nightly build? Thanks!

I just tried to install the Nightly build and snippets from my release channel are being transferred over so I can't see the first run snippet.
Comment 15 User image Justin Dolske [:Dolske] 2016-10-10 16:00:22 PDT
I previously reproduced this bug, and can verify that it's now fixed with a current Nightly + new profile. Clicking the default snippet text takes me to about:rights as expected.
Comment 16 User image Justin Dolske [:Dolske] 2016-10-10 16:02:49 PDT
Also: big thanks to Gijs for jumping on this fix so quickly!
Comment 17 User image Kamil Jozwiak [:kjozwiak] 2016-10-11 13:54:11 PDT
*** Bug 1280649 has been marked as a duplicate of this bug. ***
Comment 18 User image Liz Henry (:lizzard) (needinfo? me) 2016-10-13 16:19:56 PDT
Comment on attachment 8798810 [details]
Bug 1308351 - make about:rights web-linkable like about:license and friends,

Taking this as a ridealong, looks safe, affects our first run users.
Most current users will have updated to 49 already, but we still have a month to go till 50 release; that's a lot of new downloads for 49 still to come.
Comment 19 User image Ryan VanderMeulen [:RyanVM] 2016-10-14 12:36:02 PDT
https://hg.mozilla.org/releases/mozilla-release/rev/d7e3fcfef5fd
Comment 20 User image Maruf Rahman[:mMARUF] 2016-11-17 06:32:45 PST
I have reproduced this bug with Nightly 52.0a1 (2016-10-06) (64-bit) on Windows 7, 64 Bit !

This bug's fix is verified with latest Beta.

Build ID   : 20161115182233
User Agent : Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:51.0) Gecko/20100101 Firefox/51.0

[bugday-20161116]
Comment 21 User image Subhrajyoti Sen 2016-11-25 04:46:49 PST
The fix is verified on Beta 51.0b3

Build ID     :20161124073320
User Agenet  :Mozilla/5.0 (Windows NT 10.0; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 22 User image Vibhanshu Chaudhary 2016-11-25 06:15:00 PST
It is verified on Firefox Beta 51.0b3

[testday-20161125]

Note You need to log in before you can comment on or make changes to this bug.